Subject: Re: [PATCH net-next v2] net/hsr: update outdated comments

From: Simon Horman <[email-masked]>
Date: Thu, 26 Feb 2026 13:33:12 +0000

On Wed, Feb 25, 2026 at 10:51:59PM +0800, Kexin Sun wrote:
> The function hsr_rcv() was renamed hsr_handle_frame() and moved to
> net/hsr/hsr_slave.c by commit 81ba6afd6e64 ("net/hsr: Switch from
> dev_add_pack() to netdev_rx_handler_register()").
> 
> Update all remaining references in the comments accordingly.
> 
> Signed-off-by: Kexin Sun <[email-masked]>
> ---
> Hi Simon,
> 
> Regarding your question about how these were found: we are building a 
> research prototype for identifying and fixing dangling method references 
> in comments. Generally, we use Coccinelle to check for dangling references 
> and DeepSeek-V3.2 to generate the fixes. 
> 
> Since it is still a work-in-progress, we haven't settled on a proper tool 
> name yet. Therefore, I chose to omit the `Assisted-by:` tag in this v2 
> patch for now. Do you have any suggestions on what would be appropriate 
> to use in this situation?

Hi Kexin,

I think many people are experimenting.
And likewise, the use of Assisted-by is evolving.

My reading of [1] is that an Assisted-by tag is appropriate here.
I would suggest:

Assisted-by: deepseek-v3.2 coccinelle

or

Assisted-by: unnamed:deepseek-v3.2 coccinelle

[1] https://docs.kernel.org/process/coding-assistants.html

Overall, this now looks good to me.
Thanks for the update.

Reviewed-by: Simon Horman <[email-masked]>